import type { ReactNode } from 'react';
import type { Metadata } from 'next';
import { ToastContainer } from 'react-toastify';
import './main.css'
import 'react-toastify/dist/ReactToastify.min.css';
import LayoutClient from './layoutClient';

export const metadata: Metadata = {
	title: 'Create Next App',
	description: 'Generated by create next app',
}

export default function RootLayout({children}: {children: ReactNode}){
	return (
		<html lang="en">
			<body>
				{children}
				<ToastContainer position='bottom-right' autoClose={1000} />
				<LayoutClient />
			</body>
		</html>
	)
}
